Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SSYGS2

    java.lang.Object
      org.netlib.lapack.SSYGS2

    public class SSYGS2

extends java.lang.Object

    SSYGS2 is a simplified interface to the JLAPACK routine ssygs2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSYGS2 reduces a real symmetric-definite generalized eigenproblem
     *  to standard form.
     *
     *  If ITYPE = 1, the problem is A*x = lambda*B*x,
     *  and A is overwritten by inv(U')*A*inv(U) or inv(L)*A*inv(L')
     *
     *  If ITYPE = 2 or 3, the problem is A*B*x = lambda*x or
     *  B*A*x = lambda*x, and A is overwritten by U*A*U` or L'*A*L.
     *
     *  B must have been previously factorized as U'*U or L*L' by SPOTRF.
     *
     *  Arguments
     *  =========
     *
     *  ITYPE   (input) INTEGER
     *          = 1: compute inv(U')*A*inv(U) or inv(L)*A*inv(L');
     *          = 2 or 3: compute U*A*U' or L'*A*L.
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the upper or lower triangular part of the
     *          symmetric matrix A is stored, and how B has been factorized.

     *          = 'U':  Upper triangular
     *          = 'L':  Lower triangular
     *
     *  N       (input) INTEGER
     *          The order of the matrices A and B.  N >= 0.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the symmetric matrix A.  If UPLO = 'U', the leading
     *          n by n upper triangular part of A contains the upper
     *          triangular part of the matrix A, and the strictly lower
     *          triangular part of A is not referenced.  If UPLO = 'L', the
     *          leading n by n lower triangular part of A contains the lower

     *          triangular part of the matrix A, and the strictly upper
     *          triangular part of A is not referenced.
     *
     *          On exit, if INFO = 0, the transformed matrix, stored in the
     *          same format as A.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  B       (input) REAL array, dimension (LDB,N)
     *          The triangular factor from the Cholesky factorization of B,
     *          as returned by SPOTRF.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SSYGS2()`

Method Summary
`static void` | `SSYGS2(int itype, java.lang.String uplo, int n, float[][] a, float[][] b, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSYGS2

    public SSYGS2()

Method Detail

### SSYGS2

    public static void SSYGS2(int itype,
                              java.lang.String uplo,
                              int n,
                              float[][] a,
                              float[][] b,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD